%define name libgoogle-data-mono
%define version 1.8.0.0
%define release %mkrel 2

Summary: .NET library for the Google Data API 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://google-gdata.googlecode.com/files/%{name}-%{version}.tar.gz
License: Apache License
Group: Development/Other
Url: http://code.google.com/p/google-gdata/
BuildRequires: mono-devel
BuildArch: noarch

%description
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.

%package devel
Group: Development/Other
Summary:.NET library for the Google Data API 
Requires: %name = %version-%release

%description devel
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.


%prep
%setup -q
%apply_patches

%build
#gw: trying to work around a BS problem, don't use parallel make
make PREFIX=%_prefix

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=%_prefix
mkdir -p %buildroot%_datadir/
mv %buildroot%_prefix/lib/pkgconfig %buildroot%_datadir/

%check
#gw fails in 1.4.0.2
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE-2.0.txt
%_prefix/lib/mono/GData-Sharp
%_prefix/lib/mono/gac/*

%files devel
%defattr(-,root,root)
%doc RELEASE_NOTES.HTML
%_datadir/pkgconfig/*.pc






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.8.0.0-2.mga3
+ Revision: 357313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 14 2011 fwang <fwang> 1.8.0.0-1.mga2
+ Revision: 123993
- new version 1.8.0.0

* Thu Mar 24 2011 boklm <boklm> 1.6.0.0-2.mga1
+ Revision: 76170
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 1.6.0.0-1.mga1
+ Revision: 72023
- clean spec file
- imported package libgoogle-data-mono

